Bug 394971 - Moving -folders- in "Organize Bookmarks" does not work
Moving -folders- in "Organize Bookmarks" does not work
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
pleaForReproductionFF3
:
: 440386 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-21 17:13 EST by David Campbell
Modified: 2008-04-03 09:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-03 09:37:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Campbell 2007-11-21 17:13:08 EST
Description of problem:

In firefox "Organize Bookmarks", dragging folders to different locations does
not work.

Items work fine, but not folders.

Version-Release number of selected component (if applicable):

2.0.0.9

How reproducible:

Always

Actual results:

Dragging folders to new locations does nothing at all

Expected results:

Dragging folders to new locations should move them

Additional info:
Comment 1 dedded 2007-12-08 22:48:57 EST
Not fixed in 2.0.0.10.  I see exactly the same thing: can't move folders, but
can move items.

I downloaded from Firefox.com (unfortunately 2.0.0.11, so not quite the same). 
That copy does not have the problem, so it seems to be Fedora's version only.
Comment 2 Leon 2007-12-17 18:56:37 EST
I'm using 2.0.0.10 too, and on my Linux user account, Firefox has the same
problem. When I tried root's Firefox though (in case one or more of my
extensions was causing the problem) I couldn't drag-and-drop the individual
bookmarks either. No errors seemed to be produced in the error console or in the
virtual terminal it was launched from.

However, after uninstalling all the language packs, I could move root's
individual bookmarks again. Still no luck with the folders though.
Comment 3 Matěj Cepl 2007-12-19 09:14:45 EST
Can fully reproduce with firefox-2.0.0.10-5.fc9.x86_64
Comment 4 Matěj Cepl 2007-12-19 09:23:01 EST
If this issue turns out to still be reproduceable in the latest updates for this
Fedora Core release, please file a bug report in the the upstream bugzilla
located at http://bugzilla.mozilla.org in the particular component.

Once you've filed your bug report to the upstream bugzilla, if you paste the new
bug URL here, Red Hat will continue to track the issue in the centralized
upstream bug tracker, and will review any bug fixes that become available for
consideration in future updates.

Setting status to NEEDINFO, and awaiting upstream bug report URL for tracking.

Thanks in advance.
Comment 5 dedded 2007-12-20 21:05:35 EST
I am fully up-to-date with yum update (2007-12-20).  (Firefox is 2.0.0.10 3.fc8)
I'm on a Pentium 4 system.

I renamed my .mozilla directory to .mozilla.save, ran Firefox, created a couple
of bookmark folders, and then attempted to move them in Organize Bookmarks.

I still see the problem.

Does it really make sense to file a bug upstream?  I downloaded the Mozilla
binaries (2.0.0.11), and do not have the problem with their binaries.  Just with
the Fedora ones.
Comment 6 Matěj Cepl 2007-12-21 04:58:36 EST
(In reply to comment #5)
> Does it really make sense to file a bug upstream?  I downloaded the Mozilla
> binaries (2.0.0.11), and do not have the problem with their binaries.  Just with
> the Fedora ones.

This is the key -- OK, if you cannot reproduce it with upstream binaries, we've
got a bad luck. :-) So, no, filing it upstream is not necessary.

And yes, caillon, this could be reproduced with firefox-3.0-0.beta2.2.fc9.x86_64
as well.
Comment 7 Robert P. J. Day 2008-01-23 06:22:34 EST
Any updates on this issue?  It's been well over a month and not having this
feature is fairly inconvenient.
Comment 8 Matěj Cepl 2008-01-23 11:37:11 EST
I am sorry, yes it is inconvenient, but unfortunately we have no apparently
bigger fishes to fry. Hold on, please.
Comment 9 dedded 2008-02-14 19:40:47 EST
I just installed the new firefox-2.0.0.12-1.fc8, and this bug is not fixed.
Comment 10 Matěj Cepl 2008-02-21 17:35:04 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 11 Matěj Cepl 2008-02-21 17:36:26 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 12 dedded 2008-03-15 17:25:07 EDT
The Firefox 3 beta (Mozilla binaries) is okay.

But that is not surprising.  As indicated in replies #1 and #5, the Mozilla
binaries have never had this problem.  Only the Fedora binaries.

So I made an attempt to install Fedora 9 alpha to see if the Fedora version of
Firefox 3 has the problem.  But I cannot get the install to run.  (This is why
it took me so long to reply.  I needed to clear a partition to make room for
Fedora 9, and it took me awhile to get around to that.)

Can someone else who is able to run Fedora 9 alpha test to see if this bug is
still present?  It's really easy to test.  Open Firefox, edit bookmarks (now
under Bookmarks->Show All Bookmarks) and attempt to move a _folder_.
Comment 13 Matěj Cepl 2008-03-17 11:56:27 EDT
Still I cannot move folder with drag & drop.
Comment 14 dedded 2008-03-28 19:53:10 EDT
I was finally able to get Rawhide installed (beta).

This bug is not present in the current Rawhide Firefox (3.0-0.50.cvs20080327).
Comment 15 Matěj Cepl 2008-04-03 09:36:28 EDT
*** Bug 440386 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.